Name:           zsh-history-substring-search
Version:        1.1.0
Release:        1%{?dist}
Summary:        ZSH port of Fish history search (up arrow)

License:        BSD
URL:            https://github.com/zsh-users/zsh-history-substring-search
Source0:        %{url}/archive/refs/tags/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  sed
Requires:       zsh

%description
This is a ZSH plugin that implements Fish-like history search.
It allows you to type a command substring and use arrow keys to navigate matches.

%prep
%autosetup

# Extract license info (lines 4–38 from the script)
sed -e 's/^# //g; s/^#//g' -ne 4,38p %{name}.zsh > LICENSE

%build
# No build step needed

%install
# Plugin file
install -Dm644 %{name}.zsh %{buildroot}/usr/share/zsh/plugins/%{name}/%{name}.zsh

# Docs and license
install -Dm644 README.md %{buildroot}/usr/share/doc/%{name}/README.md
install -Dm644 LICENSE %{buildroot}/usr/share/licenses/%{name}/LICENSE

%files
%license %{_datadir}/licenses/%{name}/LICENSE
%doc %{_datadir}/doc/%{name}/README.md
%{_datadir}/zsh/plugins/%{name}/%{name}.zsh

%changelog
* Mon Apr 21 2025 09:44 Little Owl <littleowl@athenaos.org>
- Synced with upstream
